| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
cv::QRCodeDetectorAruco Class Reference
Object Detection » QRCode detection and encoding

QR code detector based on Aruco markers detection code. More...

`#include <opencv2/objdetect.hpp>`

Collaboration diagram for cv::QRCodeDetectorAruco:

## Classes
struct | Params

## Public Member Functions
| QRCodeDetectorAruco ()
| QRCodeDetectorAruco (const QRCodeDetectorAruco::Params &params)
| QR code detector constructor for Aruco-based algorithm. See cv::QRCodeDetectorAruco::Params.
const aruco::DetectorParameters & | getArucoParameters () const
| Aruco detector parameters are used to search for the finder patterns.
const QRCodeDetectorAruco::Params & | getDetectorParameters () const
| Detector parameters getter. See cv::QRCodeDetectorAruco::Params.
void | setArucoParameters (const aruco::DetectorParameters &params)
| Aruco detector parameters are used to search for the finder patterns.
QRCodeDetectorAruco & | setDetectorParameters (const QRCodeDetectorAruco::Params &params)
| Detector parameters setter. See cv::QRCodeDetectorAruco::Params.
Public Member Functions inherited from cv::GraphicalCodeDetector
| GraphicalCodeDetector ()
| GraphicalCodeDetector (const GraphicalCodeDetector &)=default
| GraphicalCodeDetector (GraphicalCodeDetector &&)=default
std::string | decode (InputArray img, InputArray points, OutputArray straight_code=noArray()) const
| Decodes graphical code in image once it's found by the detect() method.
bool | decodeMulti (InputArray img, InputArray points, std::vector< std::string > &decoded_info, OutputArrayOfArrays straight_code=noArray()) const
| Decodes graphical codes in image once it's found by the detect() method.
bool | detect (InputArray img, OutputArray points) const
| Detects graphical code in image and returns the quadrangle containing the code.
std::string | detectAndDecode (InputArray img, OutputArray points=noArray(), OutputArray straight_code=noArray()) const
| Both detects and decodes graphical code.
bool | detectAndDecodeMulti (InputArray img, std::vector< std::string > &decoded_info, OutputArray points=noArray(), OutputArrayOfArrays straight_code=noArray()) const
| Both detects and decodes graphical codes.
bool | detectMulti (InputArray img, OutputArray points) const
| Detects graphical codes in image and returns the vector of the quadrangles containing the codes.
GraphicalCodeDetector & | operator= (const GraphicalCodeDetector &)=default
GraphicalCodeDetector & | operator= (GraphicalCodeDetector &&)=default

## Additional Inherited Members
Protected Attributes inherited from cv::GraphicalCodeDetector
Ptr< Impl > | p

## Detailed Description

QR code detector based on Aruco markers detection code.

## Constructor & Destructor Documentation

## ◆ QRCodeDetectorAruco() [1/2]

cv::QRCodeDetectorAruco::QRCodeDetectorAruco | ( |  | ) |

Python:
| cv.QRCodeDetectorAruco( |  | ) -> | <QRCodeDetectorAruco object>
| cv.QRCodeDetectorAruco( | params | ) -> | <QRCodeDetectorAruco object>

## ◆ QRCodeDetectorAruco() [2/2]

cv::QRCodeDetectorAruco::QRCodeDetectorAruco | ( | const QRCodeDetectorAruco::Params & | params | ) |
| explicit

Python:
| cv.QRCodeDetectorAruco( |  | ) -> | <QRCodeDetectorAruco object>
| cv.QRCodeDetectorAruco( | params | ) -> | <QRCodeDetectorAruco object>

QR code detector constructor for Aruco-based algorithm. See cv::QRCodeDetectorAruco::Params.

## Member Function Documentation

## ◆ getArucoParameters()

const aruco::DetectorParameters & cv::QRCodeDetectorAruco::getArucoParameters | ( |  | ) | const

Python:
| cv.QRCodeDetectorAruco.getArucoParameters( |  | ) -> | retval

Aruco detector parameters are used to search for the finder patterns.

## ◆ getDetectorParameters()

const QRCodeDetectorAruco::Params & cv::QRCodeDetectorAruco::getDetectorParameters | ( |  | ) | const

Python:
| cv.QRCodeDetectorAruco.getDetectorParameters( |  | ) -> | retval

Detector parameters getter. See cv::QRCodeDetectorAruco::Params.

## ◆ setArucoParameters()

void cv::QRCodeDetectorAruco::setArucoParameters | ( | const aruco::DetectorParameters & | params | ) |

Python:
| cv.QRCodeDetectorAruco.setArucoParameters( | params | ) -> | None

Aruco detector parameters are used to search for the finder patterns.

## ◆ setDetectorParameters()

QRCodeDetectorAruco & cv::QRCodeDetectorAruco::setDetectorParameters | ( | const QRCodeDetectorAruco::Params & | params | ) |

Python:
| cv.QRCodeDetectorAruco.setDetectorParameters( | params | ) -> | retval

Detector parameters setter. See cv::QRCodeDetectorAruco::Params.

The documentation for this class was generated from the following file:

- opencv2/objdetect.hpp